# $Revision: 1.8 $, $Date: 2012/03/26 19:52:36 $
%define		status		stable
%define		pearname	PHP_CodeCoverage
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Library that provides collection, processing, and rendering functionality for PHP code coverage information
Name:		php-phpunit-PHP_CodeCoverage
Version:	1.1.2
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.phpunit.de/get/%{pearname}-%{version}.tgz
# Source0-md5:	db0da7aa2c2b4f1c4da607cf2df4d1b3
URL:		http://pear.phpunit.de/
BuildRequires:	php-channel(pear.phpunit.de)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.9.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-channel(pear.phpunit.de)
Requires:	php-pear
Requires:	php-phpunit-File_Iterator >= 1.3.0
Requires:	php-phpunit-PHP_TokenStream >= 1.1.0
Requires:	php-phpunit-Text_Template >= 1.1.1
Suggests:	php-dom
Suggests:	php-ezc-ConsoleTools >= 1.6
Suggests:	php-pecl-xdebug
Suggests:	php-reflection
Suggests:	php-spl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library that provides collection, processing, and rendering
functionality for PHP code coverage information.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{php_pear_dir}}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc docs/PHP_CodeCoverage/*
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/PHP/CodeCoverage.php
%{php_pear_dir}/PHP/CodeCoverage

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-phpunit-PHP_CodeCoverage.spec,v $
Revision 1.8  2012/03/26 19:52:36  glen
- updated to: 1.1.2

Revision 1.7  2011/11/04 12:45:04  glen
- updated to: 1.1.1

Revision 1.6  2011/11/02 21:25:27  glen
- up to 1.1.0

Revision 1.5  2011/09/15 20:02:01  glen
- updated to: 1.0.5

Revision 1.4  2011/02/27 12:43:57  glen
- fix url

Revision 1.3  2011/02/27 12:13:46  glen
- updated to: 1.0.4

Revision 1.2  2010/10/20 06:52:10  glen
- xdebug is in pecl channel

Revision 1.1  2010/10/20 06:25:42  glen
- initial from pear make-rpm-spec
